Skip to content

Serial port

/stm.cgi?usart_sensor

Select the module connected to the serial port.

GET /stm.cgi?usart_sensor=A
  • A is a connected module, integer 0-7

    {
        "0": "OFF",
        "1": "GSM SIM800L",
        "2": "DURALUX",
        "3": "PM SDS011",
        "4": "CO2 MH-Z16/19",
        "5": "PM SPS30",
        "6": "SDM120",
        "7": "SDM72D-M",
    }
    

Example:

http://192.168.1.100/stm.cgi?usart_sensor=0

GSM

/stm.cgi?gsmcmd

Send a command to the GSM modem.

GET /stm.cgi?gsmcmd=A
  • A is a command, string

Example:

http://192.168.1.100/stm.cgi?gsmcmd=at+gsn

/stm.cgi?gsmcode

Set an authorization code for the GSM modem.

GET /stm.cgi?gsmcode=A
  • A is code, string

Example:

http://192.168.1.100/stm.cgi?gsmcode=1234

/stm.cgi?gsmnumber

Set the recipient's number.

GET /stm.cgi?gsmnumber=A
  • A is a phone number, string

Example:

http://192.168.1.100/stm.cgi?gsmnumber=1234567891

/stm.cgi?gsmsms

Set the texts of the SMS.

GET /stm.cgi?gsmsms=A*B*C*D*E*F*G*H
  • A-H are SMS texts - the first 4 are sent when activating event entries, and the next 4 when deactivating, strings

Example:

http://192.168.1.100/stm.cgi?gsmsms=sms1on*sms2on*sms3on*sms4on*sms1off*sms2off*sms3off*sms4off

/stm.cgi?gsmsendsms

Send a test SMS.

GET /stm.cgi?gsmsendsms

Example:

http://192.168.1.100/stm.cgi?gsmsendsms

Duralux

/stm.cgi?duralux=1

Connect to the Duraluxe module.

GET /stm.cgi?duralux=1

Example:

http://192.168.1.100/stm.cgi?duralux=1

SDM modules

/stm.cgi?sdm120bitrate=9600

Set the baud rate for the SDM module.

GET /stm.cgi?sdm120bitrate=9600

Example:

http://192.168.1.100/stm.cgi?sdm120bitrate=9600